//==========================================================================
// Patrol [Patrol.h]
// author: tatsuya ogawa
//==========================================================================
#pragma once

//==========================================================================
// include
//==========================================================================
#include "Action.h"

namespace action
{
	//==========================================================================
	//
	// class  : 索敵
	// Content: Patrol
	//
	//==========================================================================
	class Patrol : public action::Action
    {
    public:
        Patrol();
        ~Patrol();
		// 更新
        void Update(mslib::state::State* this_);
    protected:
        D3DXVECTOR3 m_front; // 向きベクトル
        bool m_rot; // 向き変更
        bool m_end; // 終了
        bool m_update; // 処理中かの判定
    };
}